Net’s OpenSSL Libraries Updated

Yesterday, the Omeka team took the necessary steps to ensure that user passwords on are protected against the Heartbleed bug. We updated our open SSL libraries with the newest security patch.

We recommend that all users update their passwords as soon as possible, particularly if passwords used for websites are the same as passwords used for online shopping, banking, or email sites.

Leave a Reply